Jruby 1.1.1 and oracle thin client

Hi,

I have done the following:

  • installed JRuby 1.1.1 (added the JAVA_HOME variable to the PATH)
  • installed the Oracle 8 Thin client files (and added the appropriate
    location to the PATH system variable)
  • installed the Ruby Oracle interface files:
    C:>jruby oci8-1.0.0-mswin32.rb (I am using Windows VISTA)
    this copied the OCI8.rb to …/site_ruby/1.8/DBD/OCI8
    this copied the oci8.rb to …/site_ruby/1.8
    this copied the oci8lib.so to …/site_ruby/1.8/java

But when it is time to run the program that has require ‘oci8’, I get
the following error:
– no such file to load – oci8lib (LoadError)

I have all this working with Ruby…and the only difference I can see is
that the oci8lib.so file is copied to …site_ruby/1.8/i386-msvcrt
instead. This difference seems appropriate.

Any help?

Thanks!

Posted via http://www.ruby-forum.com/.


To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

I believe you have to use activerecord and active-jdbc to use oracle
in jruby. Its working great here.

Sent from my iPhone

On May 2, 2008, at 1:52 PM, “N. F.” [email protected] wrote:

this copied the oci8lib.so to …/site_ruby/1.8/java
Any help?


To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

Hi,

This
articlehttp://wiki.oracle.com/page/JRuby+on+Rails%3A+Deploying+to+Oracle+Containers+for+Java+EE+(OC4J)can
help you get started with JRuby on Rails on Oracle.
http://wiki.oracle.com/page/JRuby+on+Rails%3A+Deploying+to+Oracle+Containers+for+Java+EE+(OC4J)

2008/5/3 N. F. [email protected]:

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs